Show / Hide Table of Contents

# AsyncCollisionEnter2DTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncCollisionEnter2DTrigger : AsyncTriggerBase<Collision2D>, IUniTaskAsyncEnumerable<Collision2D>

##### Inheritance

System.Object → AsyncTriggerBase<Collision2D> → AsyncCollisionEnter2DTrigger

##### Implements

IUniTaskAsyncEnumerable<Collision2D>

### Members

#### Methods

Name | Description
--- | ---
GetOnCollisionEnter2DAsyncHandler() |
GetOnCollisionEnter2DAsyncHandler(CancellationToken) |
OnCollisionEnter2DAsync() |
OnCollisionEnter2DAsync(CancellationToken) |

### Methods

#### GetOnCollisionEnter2DAsyncHandler()

    public IAsyncOnCollisionEnter2DHandler GetOnCollisionEnter2DAsyncHandler()

##### Returns

IAsyncOnCollisionEnter2DHandler

#### GetOnCollisionEnter2DAsyncHandler(CancellationToken)

    public IAsyncOnCollisionEnter2DHandler GetOnCollisionEnter2DAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnCollisionEnter2DHandler

#### OnCollisionEnter2DAsync()

    public UniTask<Collision2D> OnCollisionEnter2DAsync()

##### Returns

UniTask<Collision2D>

#### OnCollisionEnter2DAsync(CancellationToken)

    public UniTask<Collision2D> OnCollisionEnter2DAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<Collision2D>

### Implements

IUniTaskAsyncEnumerable<T>